curl --request POST \
--url https://qstash-eu-central-1.upstash.io/v2/notify/{workflowRunId}/{eventId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'
import requests
url = "https://qstash-eu-central-1.upstash.io/v2/notify/{workflowRunId}/{eventId}"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json",
}
payload = {}
response = requests.request("POST", url, headers=headers, json=payload)
print(response.text)
const response = await fetch('https://qstash-eu-central-1.upstash.io/v2/notify/{workflowRunId}/{eventId}', {
method: 'POST',
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
});
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://qstash-eu-central-1.upstash.io/v2/notify/{workflowRunId}/{eventId}',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS => '{}',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer <token>',
'Content-Type: application/json',
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
url := "https://qstash-eu-central-1.upstash.io/v2/notify/{workflowRunId}/{eventId}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qstash-eu-central-1.upstash.io/v2/notify/{workflowRunId}/{eventId}"))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString("{}"))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
require 'uri'
require 'net/http'
url = URI('https://qstash-eu-central-1.upstash.io/v2/notify/{workflowRunId}/{eventId}')
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = url.scheme == 'https'
request = Net::HTTP::Post.new(url)
request['Authorization'] = 'Bearer <token>'
request['Content-Type'] = 'application/json'
request.body = '{}'
response = http.request(request)
puts response.read_body